petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFactorSetPivotInBlocks

Determines if pivoting is done while factoring each block with BAIJ or SBAIJ matrices

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetPivotInBlocks(PC pc,PetscBool pivot)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| pivot | - PETSC_TRUE or PETSC_FALSE

### Options Database Key

-pc_factor_pivot_in_blocks <true,false> -

### See Also

PCILUSetMatOrdering(), PCFactorSetColumnPivot()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorSetPivotInBlocks_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages